<template>
  <div class="sso">
    <h2>正在跳转...</h2>
  </div>
</template>

<script>

import jwt_decode from "jwt-decode";
export default {
  name: 'sso',
  created () {
  },
  mounted() {
    let token = this.$route.query.token
    console.log("token:"+token)
    console.log("解析后的token:",jwt_decode(token))
    //const decode = jwt_decode(data.normal_login_token).accountId; // 解析
   if(token) {
     //本地登录后跳转
      this.form.loginName=jwt_decode(token).userInfo.account
      this.form.password=jwt_decode(token).userInfo.password
/*     this.form.loginName="admin"
     this.form.password="scsmile"*/

       this.login()
      //window.sessionStorage.setItem("token", token);
     // this.$router.push('/index') // 有token直接跳转首页
    }else{
      this.$message({
          message: '没有权限，正在跳转登录页面...',
          center: true
        });
        setTimeout(function(){
         window.location.href=process.env.VUE_APP_PORTAL_URL=='undefined'?'http://192.168.0.98:11072':process.env.VUE_APP_PORTAL_URL
          //this.$router.push('/login')
        },1000)
    }
  },
  methods: {
    login() {
      this.loading = true;
      this.$post("/login/login", this.form)
          .then(this.loginSuccess)
          .catch(this.loginFail);
    },
    loginSuccess({ data }) {
      console.log("userData", data);
      this.$store.commit("setUserData", data);
      this.$router.push('/index') // 有token直接跳转首页
/*      this.$router.replace({
        path: this.redirect,
      });*/
    },
    loginFail(error) {
      this.loading = false;
      this.$message.error(error.message);
    },
  },
  data() {
    return {
      form: {
        loginName: '',
        password: '',
        securityCode: '',
      },
      redirect: this.$route.query.redirect,
      loading: true,
    }
  }
}
</script>

<style>
.sso {
  width: 300px;
  height: 100px;
}
</style>
